package de.jottyfan.timetrack.config;

import javax.sql.DataSource;

import org.jooq.SQLDialect;
import org.jooq.impl.DataSourceConnectionProvider;
import org.jooq.impl.DefaultConfiguration;
import org.jooq.impl.DefaultDSLContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.jdbc.datasource.TransactionAwareDataSourceProxy;

import de.jottyfan.timetrack.modules.done.model.DoneModel;

/**
 * 
 * @author henkej
 *
 */
@Configuration
public class InitialConfiguration {
	@Autowired
	private DataSource dataSource;

	@Bean
	public DoneModel getDoneModel() {
		return new DoneModel();
	}
	
	@Bean
	public DataSourceConnectionProvider connectionProvider() {
		return new DataSourceConnectionProvider(new TransactionAwareDataSourceProxy(dataSource));
	}
	
	@Bean
	public DefaultDSLContext dsl() {
		return new DefaultDSLContext(configuration());
	}
	
	@Bean
	public Boolean disableLogo() {
		System.setProperty("org.jooq.no-logo", "true");
		return true;
	}
	
	public DefaultConfiguration configuration() {
		DefaultConfiguration jooqConfiguration = new DefaultConfiguration();
		jooqConfiguration.set(connectionProvider());
		jooqConfiguration.set(SQLDialect.POSTGRES);
		return jooqConfiguration;
	}
}
