package de.jottyfan.timetrack.modules;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.ModelAttribute;

import de.jottyfan.timetrack.component.OAuth2Provider;
import de.jottyfan.timetrack.modules.profile.ProfileService;
/**
 * 
 * @author jotty
 * 
 */
public abstract class CommonController {

	@Autowired
	private OAuth2Provider provider;

	@Autowired
	private ProfileService profileService;

	@Value("${server.servlet.context-path}")
	private String contextPath;
	
	@ModelAttribute("baseUrl")
	public String getBaseUrl() {
		return contextPath;
	}
	
	@ModelAttribute("theme")
	public String getTheme() {
		String username = provider.getName();
		return profileService.getTheme(username);
	}
}
