package de.jottyfan.timetrack.modules.done;

import java.time.LocalDateTime;

import org.springframework.stereotype.Service;

/**
 * 
 * @author jotty
 * 
 */
@Service
public class TimeService {

	/**
	 * calculate the next time in interval
	 * @param givenTime the time given
	 * @param interval the interval to round up or down to
	 * @return the rounded time
	 */
	public LocalDateTime roundTime(LocalDateTime givenTime, int interval) {
		if (givenTime == null) {
			return null;
		} else {
			int minute = givenTime.getMinute();
			int compareMinute = minute % interval;
			int offset = 0;
			if (compareMinute <= (interval / 2)) {
				offset = -compareMinute;
			} else {
				offset = interval - compareMinute;
			}
			return givenTime.plusMinutes(offset).withSecond(0).withNano(0);
		}
	}
}
