package de.jottyfan.timetrack.modules.done.model;

import java.io.Serializable;
import java.time.LocalTime;

/**
 * 
 * @author jotty
 * 
 */
public class DaysumBean implements Serializable {
	private static final long serialVersionUID = 1L;

	private LocalTime daytimeFrom;
	private LocalTime daytimeUntil;
	private LocalTime dayworktime;
	private LocalTime breaks;
	private Integer dayOvertime;
	private Integer totalOvertime;
	
	private String lz(Integer i) {
		if (i < 10) {
			return "0" + i;
		} else {
			return i.toString();
		}
	}
	
	public String printTotalOvertime() {
		StringBuilder buf = new StringBuilder();
		if (totalOvertime == null) {
			buf.append("?");
		} else {
			Boolean isNegative = totalOvertime < 0;
			buf.append(isNegative ? "-" : "");
			buf.append(Math.abs(totalOvertime) / 60);
			buf.append(":");
			buf.append(lz(Math.abs(totalOvertime) % 60));
		}
		return buf.toString();
	}
	
	public String printDayOvertime() {
		StringBuilder buf = new StringBuilder();
		if (dayOvertime == null) {
			buf.append("?");
		} else {
			Boolean isNegative = dayOvertime < 0;
			buf.append(isNegative ? "-" : "");
			buf.append(Math.abs(dayOvertime) / 60);
			buf.append(":");
			buf.append(lz(Math.abs(dayOvertime) % 60));
		}
		return buf.toString();
	}

	/**
	 * @return the daytimeFrom
	 */
	public LocalTime getDaytimeFrom() {
		return daytimeFrom;
	}

	/**
	 * @param daytimeFrom the daytimeFrom to set
	 */
	public void setDaytimeFrom(LocalTime daytimeFrom) {
		this.daytimeFrom = daytimeFrom;
	}

	/**
	 * @return the daytimeUntil
	 */
	public LocalTime getDaytimeUntil() {
		return daytimeUntil;
	}

	/**
	 * @param daytimeUntil the daytimeUntil to set
	 */
	public void setDaytimeUntil(LocalTime daytimeUntil) {
		this.daytimeUntil = daytimeUntil;
	}

	/**
	 * @return the dayworktime
	 */
	public LocalTime getDayworktime() {
		return dayworktime;
	}

	/**
	 * @param dayworktime the dayworktime to set
	 */
	public void setDayworktime(LocalTime dayworktime) {
		this.dayworktime = dayworktime;
	}

	/**
	 * @return the breaks
	 */
	public LocalTime getBreaks() {
		return breaks;
	}

	/**
	 * @param breaks the breaks to set
	 */
	public void setBreaks(LocalTime breaks) {
		this.breaks = breaks;
	}

	/**
	 * @return the dayOvertime
	 */
	public Integer getDayOvertime() {
		return dayOvertime;
	}

	/**
	 * @param dayOvertime the dayOvertime to set
	 */
	public void setDayOvertime(Integer dayOvertime) {
		this.dayOvertime = dayOvertime;
	}

	/**
	 * @return the totalovertime
	 */
	public Integer getTotalOvertime() {
		return totalOvertime;
	}

	/**
	 * @param totalovertime the totalovertime to set
	 */
	public void setTotalOvertime(Integer totalOvertime) {
		this.totalOvertime = totalOvertime;
	}

}
