package de.jottyfan.timetrack.modules.style;

import static de.jottyfan.timetrack.db.profile.Tables.T_PROFILE;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.jooq.DSLContext;
import org.jooq.Record1;
import org.jooq.SelectConditionStep;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

/**
 * 
 * @author jotty
 * 
 */
@Repository
public class DynamicStyleRepository {
	private static final Logger LOGGER = LogManager.getLogger(DynamicStyleRepository.class);
	
	@Autowired
	private DSLContext jooq;

	public String getDynamicStyle(String name) {
		SelectConditionStep<Record1<String>> sql = jooq
		// @formatter:off
			.select(T_PROFILE.DYNAMIC_CSS)
			.from(T_PROFILE)
			.where(T_PROFILE.USERNAME.eq(name));
		// @formatter:on
		LOGGER.trace(sql);
		String result = sql.fetchOne(T_PROFILE.DYNAMIC_CSS);
		return result == null ? "" : result;
	}
}
